Bug 154715 - net/mpich2: chase the upgrade of MPICH2
net/mpich2: chase the upgrade of MPICH2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Thierry Thomas
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-12 17:50 UTC by Thierry Thomas
Modified: 2011-02-26 10:08 UTC (History)
1 user (show)

See Also:


Attachments
blacs.diff (346 bytes, patch)
2011-02-12 17:50 UTC, Thierry Thomas
no flags Details | Diff
mpqc.diff (325 bytes, patch)
2011-02-12 17:50 UTC, Thierry Thomas
no flags Details | Diff
mumps.diff (758 bytes, patch)
2011-02-12 17:50 UTC, Thierry Thomas
no flags Details | Diff
petsc.diff (778 bytes, patch)
2011-02-12 17:50 UTC, Thierry Thomas
no flags Details | Diff
fvm.diff (810 bytes, patch)
2011-02-12 17:50 UTC, Thierry Thomas
no flags Details | Diff
imb.diff (796 bytes, patch)
2011-02-12 17:50 UTC, Thierry Thomas
no flags Details | Diff
blocksolve95.diff (903 bytes, patch)
2011-02-12 17:50 UTC, Thierry Thomas
no flags Details | Diff
pnetcdf.diff (847 bytes, patch)
2011-02-12 17:50 UTC, Thierry Thomas
no flags Details | Diff
spooles.diff (364 bytes, patch)
2011-02-12 17:50 UTC, Thierry Thomas
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thierry Thomas freebsd_committer 2011-02-12 17:50:07 UTC
	Chase the upgrade of MPICH2. See PR ports/154714.

Fix: Apply the hereunder patches.

diff -urN science/mbdyn.orig/Makefile science/mbdyn/Makefile
--- science/mbdyn.orig/Makefile	2010-11-14 23:00:15.000000000 +0100
+++ science/mbdyn/Makefile	2011-02-06 22:27:40.000000000 +0100
@@ -7,7 +7,7 @@
 
 PORTNAME=	mbdyn
 PORTVERSION=	1.3.9
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	science
 MASTER_SITES=	http://www.aero.polimi.it/~masarati/Download/mbdyn/
 
--- mbdyn.diff ends here ---

diff -urN benchmarks/hpl.orig/Makefile benchmarks/hpl/Makefile
--- benchmarks/hpl.orig/Makefile	2010-11-14 23:00:16.000000000 +0100
+++ benchmarks/hpl/Makefile	2011-02-06 22:32:57.000000000 +0100
@@ -7,7 +7,7 @@
 
 PORTNAME=	hpl
 PORTVERSION=	2.0
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	benchmarks
 MASTER_SITES=	http://www.netlib.org/benchmark/hpl/
 
--- hpl.diff ends here ---

diff -urN cad/scotch.orig/Makefile cad/scotch/Makefile
--- cad/scotch.orig/Makefile	2010-03-01 20:53:26.000000000 +0100
+++ cad/scotch/Makefile	2011-02-06 22:44:27.000000000 +0100
@@ -7,7 +7,7 @@
 
 PORTNAME=	scotch
 PORTVERSION=	5.0.6
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	cad science
 MASTER_SITES=	http://gforge.inria.fr/frs/download.php/3795/
 DISTNAME=	${PORTNAME}_${PORTVERSION}
diff -urN cad/scotch.orig/distinfo cad/scotch/distinfo
--- cad/scotch.orig/distinfo	2008-07-13 09:42:49.000000000 +0200
+++ cad/scotch/distinfo	2011-02-06 22:45:31.000000000 +0100
@@ -1,3 +1,2 @@
-MD5 (scotch_5.0.6.tar.gz) = 197f5eb413f619fef30546c6e4da1c73
 SHA256 (scotch_5.0.6.tar.gz) = 53e5d8bc79b37c025ca3e6c036f58ad75cf2672e937d6c9ce4b7a29f6ef711b7
 SIZE (scotch_5.0.6.tar.gz) = 3433705
--- scotch.diff ends here ---

diff -urN math/sdpara.orig/Makefile math/sdpara/Makefile
--- math/sdpara.orig/Makefile	2010-11-15 00:00:37.000000000 +0100
+++ math/sdpara/Makefile	2011-02-06 22:56:42.000000000 +0100
@@ -7,7 +7,7 @@
 
 PORTNAME=	sdpara
 PORTVERSION=	7.2.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	math parallel
 MASTER_SITES=	http://sdpa.indsys.chuo-u.ac.jp/sdpa/files/
 DISTFILES=	${SRCFILE}#${MANUALFILE}
--- sdpara.diff ends here ---

diff -urN science/ncs.orig/Makefile science/ncs/Makefile
--- science/ncs.orig/Makefile	2010-11-14 23:00:23.000000000 +0100
+++ science/ncs/Makefile	2011-02-06 23:01:12.000000000 +0100
@@ -7,7 +7,7 @@
 
 PORTNAME=	ncs
 PORTVERSION=	1.3.3
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	science parallel
 MASTER_SITES=	http://rd.edf.com/fichiers/fckeditor/File/EDF%20RD/Code_Saturne/Fichiers/
 DISTNAME=	${PORTNAME}-${PORTVERSION:S/.//g}
diff -urN science/ncs.orig/distinfo science/ncs/distinfo
--- science/ncs.orig/distinfo	2009-01-25 17:21:04.000000000 +0100
+++ science/ncs/distinfo	2011-02-06 23:01:26.000000000 +0100
@@ -1,3 +1,2 @@
-MD5 (ncs-133.tgz) = 1267079f8079ca0fac6210205a9cb2a7
 SHA256 (ncs-133.tgz) = 7cec5ab535aca3eed8b8bb5e410a3f01db3ce40cfd3090a6727f7c048f8ee41f
 SIZE (ncs-133.tgz) = 12138504
--- ncs.diff ends here ---

diff -urN benchmarks/mdtest.orig/Makefile benchmarks/mdtest/Makefile
--- benchmarks/mdtest.orig/Makefile	2010-01-01 17:07:12.000000000 +0100
+++ benchmarks/mdtest/Makefile	2011-02-06 23:06:04.000000000 +0100
@@ -7,7 +7,7 @@
 
 PORTNAME=	mdtest
 PORTVERSION=	1.7.1
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	benchmarks
 MASTER_SITES=	http://www.llnl.gov/icc/lc/siop/downloads/
 
diff -urN benchmarks/mdtest.orig/distinfo benchmarks/mdtest/distinfo
--- benchmarks/mdtest.orig/distinfo	2007-04-30 09:10:51.000000000 +0200
+++ benchmarks/mdtest/distinfo	2011-02-06 23:06:13.000000000 +0100
@@ -1,3 +1,2 @@
-MD5 (mdtest-1.7.1.tar.gz) = 4ea34d1f9d0c498e47edf694a3962e9b
 SHA256 (mdtest-1.7.1.tar.gz) = 1ebe974d1c275c2abb9ab06a09506ab908718f2e6a73780956d0a89db40c3024
 SIZE (mdtest-1.7.1.tar.gz) = 11344
--- mdtest.diff ends here ---

diff -urN math/parmetis.orig/Makefile math/parmetis/Makefile
--- math/parmetis.orig/Makefile	2010-01-01 17:09:45.000000000 +0100
+++ math/parmetis/Makefile	2011-02-06 23:09:53.000000000 +0100
@@ -7,7 +7,7 @@
 
 PORTNAME=	ParMetis
 PORTVERSION=	3.1
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	math parallel
 MASTER_SITES=	http://glaros.dtc.umn.edu/gkhome/fetch/sw/parmetis/
 
diff -urN math/parmetis.orig/distinfo math/parmetis/distinfo
--- math/parmetis.orig/distinfo	2006-01-22 13:56:40.000000000 +0100
+++ math/parmetis/distinfo	2011-02-06 23:10:03.000000000 +0100
@@ -1,3 +1,2 @@
-MD5 (ParMetis-3.1.tar.gz) = 15f252eabc397a8c2f56fa1f5ed91354
 SHA256 (ParMetis-3.1.tar.gz) = 11485828fe25436dc6d41cb048bc4b744969b51d4b751996007612aa95d5ff16
 SIZE (ParMetis-3.1.tar.gz) = 5286085
--- parmetis.diff ends here ---

diff -urN math/scalapack.orig/Makefile math/scalapack/Makefile
--- math/scalapack.orig/Makefile	2010-01-01 17:09:45.000000000 +0100
+++ math/scalapack/Makefile	2011-02-06 23:15:05.000000000 +0100
@@ -7,7 +7,7 @@
 
 PORTNAME=	scalapack
 PORTVERSION=	1.8.0
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	math
 MASTER_SITES=	ftp://ftp.netlib.org/scalapack/
 DISTFILES=	scalapack-${PORTVERSION}.tgz manpages.tgz
--- scalapack.diff ends here ---
How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2011-02-12 17:50:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2011-02-26 09:56:55 UTC
thierry     2011-02-26 09:56:51 UTC

  FreeBSD ports repository

  Modified files:
    math/blacs           Makefile distinfo 
    science/mbdyn        Makefile distinfo 
    science/mpqc         Makefile distinfo 
    benchmarks/hpl       Makefile distinfo 
    math/mumps           Makefile distinfo 
    cad/scotch           Makefile distinfo 
    math/petsc           Makefile distinfo 
    math/sdpara          Makefile distinfo 
    science/fvm          Makefile distinfo 
    science/ncs          Makefile distinfo 
    benchmarks/imb       Makefile distinfo 
    benchmarks/mdtest    Makefile distinfo 
    math/blocksolve95    Makefile distinfo 
    math/parmetis        Makefile distinfo 
    science/pnetcdf      Makefile distinfo 
    math/scalapack       Makefile distinfo 
    math/spooles         Makefile distinfo 
  Log:
  Chase the upgrade of MPICH2.
  
  Since I'm there, pet portlint where needed, e.g. by removing oblsolete
  MD5 checksums.
  
  PR:             ports/154715
  
  Revision  Changes    Path
  1.19      +1 -1      ports/benchmarks/hpl/Makefile
  1.4       +0 -1      ports/benchmarks/hpl/distinfo
  1.11      +1 -1      ports/benchmarks/imb/Makefile
  1.2       +0 -1      ports/benchmarks/imb/distinfo
  1.6       +1 -1      ports/benchmarks/mdtest/Makefile
  1.2       +0 -1      ports/benchmarks/mdtest/distinfo
  1.15      +1 -1      ports/cad/scotch/Makefile
  1.9       +0 -1      ports/cad/scotch/distinfo
  1.27      +1 -1      ports/math/blacs/Makefile
  1.4       +0 -9      ports/math/blacs/distinfo
  1.13      +1 -1      ports/math/blocksolve95/Makefile
  1.3       +0 -1      ports/math/blocksolve95/distinfo
  1.21      +1 -1      ports/math/mumps/Makefile
  1.7       +0 -1      ports/math/mumps/distinfo
  1.15      +1 -1      ports/math/parmetis/Makefile
  1.6       +0 -1      ports/math/parmetis/distinfo
  1.34      +1 -1      ports/math/petsc/Makefile
  1.15      +0 -1      ports/math/petsc/distinfo
  1.26      +1 -1      ports/math/scalapack/Makefile
  1.7       +0 -10     ports/math/scalapack/distinfo
  1.29      +1 -1      ports/math/sdpara/Makefile
  1.6       +0 -1      ports/math/sdpara/distinfo
  1.16      +1 -1      ports/math/spooles/Makefile
  1.4       +0 -8      ports/math/spooles/distinfo
  1.9       +1 -1      ports/science/fvm/Makefile
  1.5       +0 -1      ports/science/fvm/distinfo
  1.24      +1 -1      ports/science/mbdyn/Makefile
  1.6       +0 -1      ports/science/mbdyn/distinfo
  1.61      +1 -1      ports/science/mpqc/Makefile
  1.14      +0 -4      ports/science/mpqc/distinfo
  1.16      +1 -1      ports/science/ncs/Makefile
  1.5       +0 -1      ports/science/ncs/distinfo
  1.16      +1 -0      ports/science/pnetcdf/Makefile
  1.6       +0 -1      ports/science/pnetcdf/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Thierry Thomas freebsd_committer 2014-06-01 07:28:18 UTC
State Changed
From-To: open->suspended


To be committed with PR ports/154714. 


http://www.freebsd.org/cgi/query-pr.cgi?pr=154715 

Date: Sun, 13 Feb 2011 10:11:51 +0900 (JST)
Comment 4 Thierry Thomas freebsd_committer 2014-06-01 07:28:18 UTC
State Changed
From-To: suspended->closed


Committed.